rb_proc_t Struct Reference

`#include <vm_core.h>`

## Data Fields

rb_block_t | block
VALUE | envval
VALUE | blockprocval
int | safe_level
int | is_from_method
int | is_lambda

## Detailed Description

Definition at line 525 of file vm_core.h.

## Field Documentation

rb_block_t rb_proc_t::block

Definition at line 526 of file vm_core.h.

Referenced by caller_setup_args(), iseq_s_disasm(), proc_binding(), proc_call(), proc_dup(), proc_eq(), proc_hash(), proc_mark(), proc_to_s(), rb_fiber_start(), rb_mod_define_method(), rb_proc_arity(), rb_proc_call(), rb_proc_call_with_block(), rb_proc_get_iseq(), rb_vm_invoke_proc(), rb_vm_make_proc(), rb_vmdebug_proc_dump_raw(), thread_start_func_2(), vm_call0(), vm_call_method(), and vm_callee_setup_arg_complex().

VALUE rb_proc_t::blockprocval

Definition at line 529 of file vm_core.h.

Referenced by proc_dup(), proc_mark(), and rb_vm_make_proc().

VALUE rb_proc_t::envval

Definition at line 528 of file vm_core.h.

Referenced by proc_binding(), proc_dup(), proc_eq(), proc_hash(), proc_mark(), rb_vm_make_proc(), and rb_vmdebug_proc_dump_raw().

int rb_proc_t::is_from_method

Definition at line 531 of file vm_core.h.

Referenced by method_proc(), rb_mod_define_method(), and rb_vm_invoke_proc().

int rb_proc_t::is_lambda

Definition at line 532 of file vm_core.h.

Referenced by block_proc_is_lambda(), make_curry_proc(), proc_dup(), proc_new(), proc_to_s(), rb_mod_define_method(), rb_proc_get_iseq(), and rb_proc_lambda_p().

int rb_proc_t::safe_level

Definition at line 530 of file vm_core.h.

Referenced by proc_dup(), rb_vm_invoke_proc(), and rb_vm_make_proc().

The documentation for this struct was generated from the following file:

- vm_core.h